<ion-header>
  <ion-toolbar color="ista">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Tickets Eliminados</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar  placeholder='{{defectSelect}}' animated (ionChange)="buscar($event)"></ion-searchbar>
    <ion-buttons slot="primary">
      <ion-button (click)="filtroButton()">
        <ion-icon color="ista" slot="icon-only" name="settings"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar>
    <ion-segment [(ngModel)]="estadoTicket" (ionChange)="segmentChanged($event)" value="Sin Asignar">
      <ion-segment-button value="Requerimientos">
        <ion-label color="ista">Requerimientos</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Incidentes">
        <ion-label color="ista">Incidentes</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <div [ngSwitch]="estadoTicket">
    <div *ngSwitchCase="'Incidentes'">
      <div *ngFor="let ticketlist of eliminados | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="ticketlist.servicio.tipo.nombre ==='Incidente'"  >
          <ion-label color="ista" (click)="AbrirTicket(ticketlist)">
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Tecnico: {{ticketlist.tecnico.persona.nombres}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon name="checkmark-circle" (click)="RecuperarTicket(ticketlist.codticket)"></ion-icon>
        </ion-item>
      </div>
    </div>
    <div *ngSwitchCase="'Requerimientos'">
      <div *ngFor="let ticketlist of eliminados | filtro: textoBusqueda:tipoServicio">
        <ion-item *ngIf="ticketlist.servicio.tipo.nombre ==='Requerimiento'" >
          <ion-label color="ista" (click)="AbrirTicket(ticketlist)">
            <h2>Ticket: {{ticketlist.codticket}}</h2>
            <h3>Peticion: {{ticketlist.usuario.persona.nombres}} {{ticketlist.usuario.persona.apellidos}}</h3>
            <p>Servicio: {{ticketlist.servicio.titulo}}</p>
            <p>Tecnico: {{ticketlist.tecnico.persona.nombres}}</p>
            <p>Fecha Creación: {{ticketlist.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</p>
          </ion-label>
          <ion-icon name="checkmark-circle" (click)="RecuperarTicket(ticketlist.codticket)"></ion-icon>
        </ion-item>
      </div>
    </div>
  </div>
</ion-content>